/**************************************************自适应*/
@media screen and (max-width: 1200px) 
{
    html
    {
        font-size: 18px;
    }
}
@media screen and (max-width: 992px) 
{
    html
    {
        font-size: 14px;
    }
}
@media screen and (max-width: 768px) 
{
    html
    {
        font-size: 10px;
    }
}
/**************************************************布局*/
body
{
    text-align:center;
    /*内部元素居中*/ 
    /*background-color: #FFFFCC;*/
    /*背景色*/
    min-width: 29rem;  
    /*最小宽度*/
  
    background-image: linear-gradient(#e8e8e8, #7ec6bc);
    /*渐变色*/
    background-attachment: fixed;
}
nav,main
{
    margin:0 auto;
}
nav
{
    -moz-column-count:6;  
    /*Firefox*/ 
    -webkit-column-count:6;  
    /*Safari and Chrome*/ 
    column-count:6;
    /*width: 61.8%;*/
    font-size: 1rem;
    margin-top:1.5rem;
}
main
{
    width:100%;
    display: inline-grid;
    grid-template-columns: 80% auto;
    /*font-size: 1rem;*/
    margin-top:1.5rem;
}
footer
{
    border-top :0.1rem solid #0094ff; 
}
/**************************************************属性*/
header
{
    text-shadow: 0.5rem 0.5rem 0.5rem #FF00FF;
}
#main_title
{
    font-size: 2.5rem;
}
#subtitle_title
{
    font-size: 1rem;
}
nav a
{
    text-decoration:none;
    /*a标签去下划线*/
    color: black;
    /*li横向*/
}
#main_1
{
    text-align: left;
    overflow:auto;
    border-right:0.1rem solid #0094ff; 
    margin-right:1%;
}

#aside_1
{
    text-align: left;
    overflow:auto;
    margin-top: 7rem;
}
#aside_1 a,#aside_1 img
{
    display: inline-block;
    margin-top: 1rem;
}
#aside_1 a
{
    /*display: inline-block;*/ 
    /* 块级显示以便设置宽高 */
    padding: 0.5em 1em;  
    /*添加内边距以增加点击区域*/ 
    text-decoration: none; 
    /* 移除下划线 */
    font-weight: bold;
    line-height: 1; 
    /* 确保行高与元素高度一致 */
    color: #000;  
      /*文本颜色*/ 
    background-color: #7ec6bc;  
    /*背景颜色*/ 
    border-radius: 0.5rem;  
    /*圆角效果*/ 
    border: none; 
    /* 移除默认边框 */
    cursor: pointer; 
    /* 更改鼠标指针为手形 */

    /* 当鼠标悬停在链接上时改变背景色 */
    transition: background-color 0.3s ease;
    &:hover {
      background-color: #e8e8e8;
    }
    /* 当鼠标按下时添加阴影效果 */
    &:active {
      box-shadow: inset 0 0.5rem 2rem rgba(0, 0, 0, 0.1);
    }
}
footer a
{
    text-decoration:none;
    /*a标签去下划线*/
    color: black;
    /*li横向*/
}
h1
{
    display: none;
}
h2
{
    visibility: hidden;
    margin: 0;
}
#section_1 h4
{
    margin-top: 0rem;
}
#section_1
{
    text-align: center;
}
#section_1 select
{
    width: 80%;
    max-width: 20rem;
    font-size: 1rem;
}
.choice
{
    text-decoration:underline;
}
